%{?mingw_package_header}

Name:           mingw-speexdsp
Version:        1.2
Release:        0.1%{?dist}
Summary:        MinGW compiled speexdsp library

License:        BSD
URL:            https://speex.org/
Source0:        https://github.com/xiph/speexdsp/archive/SpeexDSP-%{version}rc3.tar.gz

BuildArch:      noarch

BuildRequires:  autoconf automake libtool

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-zlib

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-zlib


%description
MinGW compiled SpeexDSP library.

# Win32
%package -n mingw32-speexdsp
Summary:       MinGW compiled speexdsp library for the Win32 target

%description -n mingw32-speexdsp
MinGW compiled speexdsp library for the Win32 target.

%package -n mingw32-speexdsp-static
Summary:       Static version of the MinGW Win32 compiled speexdsp library
Requires:      mingw32-speexdsp = %{version}-%{release}

%description -n mingw32-speexdsp-static
Static version of the MinGW Win32 compiled speexdsp library.

# Win64
%package -n mingw64-speexdsp
Summary:       MinGW compiled speexdsp library for the Win64 target

%description -n mingw64-speexdsp
MinGW compiled speexdsp library for the Win64 target.

%package -n mingw64-speexdsp-static
Summary:       Static version of the MinGW Win64 compiled speexdsp library
Requires:      mingw64-speexdsp = %{version}-%{release}

%description -n mingw64-speexdsp-static
Static version of the MinGW Win64 compiled speexdsp library.


%{?mingw_debug_package}


%prep
%autosetup -n speexdsp-SpeexDSP-%{version}rc3
./autogen.sh


%build
%mingw_configure --enable-static --enable-shared
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Libtool files don't need to be bundled
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-speexdsp
%{mingw32_docdir}/speexdsp/* 
%{mingw32_bindir}/libspeexdsp-1.dll
%{mingw32_includedir}/speex/
%{mingw32_libdir}/libspeexdsp.dll.a
%{mingw32_libdir}/pkgconfig/speexdsp.pc

%files -n mingw32-speexdsp-static
%{mingw32_libdir}/libspeexdsp.a

# Win64
%files -n mingw64-speexdsp
%{mingw64_docdir}/speexdsp/* 
%{mingw64_bindir}/libspeexdsp-1.dll
%{mingw64_includedir}/speex/
%{mingw64_libdir}/libspeexdsp.dll.a
%{mingw64_libdir}/pkgconfig/speexdsp.pc

%files -n mingw64-speexdsp-static
%{mingw64_libdir}/libspeexdsp.a


%changelog
* Sun May 13 2018 Richard Shaw <hobbes1069@gmail.com> - 1.2-0.1
- Initial packaging.
